package utopp;

import java.util.Vector;
import java.io.*;

class Klasse implements Serializable {

	private String Name;
	private Vector Attribute;
	private Vector Methoden;
        private String stereotyp;
        private String Zusicherungen;
        private String Paket;
        int anzahl_Attribute;
        int anzahl_Methoden;

	public Klasse(String n){
		Name = n;
		Attribute = new Vector();
		Methoden = new Vector();
                anzahl_Attribute = 0;
                anzahl_Methoden = 0;
	}

	void set_name(String s){
		Name = s;
	}

	String get_name(){
		return Name;
	}


	void add_methode(Methode m){
		Methoden.addElement(m);
                anzahl_Methoden++;
	}

	void delete_Methode(int index){
		Methoden.removeElementAt(index);
                anzahl_Methoden--;
	}

	void set_methode(int index, Methode m){
		Methoden.setElementAt(m,index);
	}

	Methode get_Methode(int index){
		return (Methode) Methoden.elementAt(index);
	}

	void add_attribut(Attribut a){
		Attribute.addElement(a);
                anzahl_Attribute++;
	}

	void delete_Attribut(int index){
		Attribute.removeElementAt(index);
                anzahl_Attribute--;
	}

	void set_attrib(int index, Attribut a){
		Attribute.setElementAt(a,index);
	}

	Attribut getAttribut(int index){
		return (Attribut) Attribute.elementAt(index);
	}

        void set_stereotyp(String s) {
                stereotyp = s;
        }

        String get_stereotyp() {
                return stereotyp;
        }

        void set_zusicherungen(String s) {
                Zusicherungen = s;
        }

        String get_zusicherungen() {
                return Zusicherungen;
        }

        void set_paket(String s) {
          Paket = s;
        }

        String get_paket() {
          return Paket;
        }
}
